Subject: bug#22587: ‘guix edit’ & ‘M-x guix-edit' typo, rename, & mode change

From: Alex Kost <[email-masked]>
Date: Thu, 21 Apr 2016 13:40:03 +0300

Ludovic Courtès (2016-04-20 18:31 +0300) wrote:

> Alex Kost <[email-masked]> skribis:
>
>> Ludovic Courtès (2016-04-19 13:50 +0300) wrote:
>>
>>> Yes, using the ‘retitle’ command, described somewhere at
>>> <http://debbugs.gnu.org/Developer.html>.
>>
>> Sorry, I don't see any mention of 'retitle' there, also I don't find
>> retitle control message while using emacs-debbugs package.
>
> Sorry, it’s at <http://debbugs.gnu.org/server-control.html>.

Thanks!  And sorry for bothering, I should have found it myself.  I
didn't realize that debbugs is such a featureful bug-tracker.

>>> However, I think (1) the title should describe the bug, not the
>>> solution, and (2) ‘guix edit’ does what it says IMO, even if it can
>>> occasionally stumble upon read-only files.
>>
>> OK, well I don't know what to do with it then.  What about the following
>> title: «"guix edit" name may be confusing»?
>
> Perfect! :-)

Done.

-- 
Alex